MyGUI::DDWidgetState Struct Reference

`#include <MyGUI_DDItemInfo.h>`

## Public Member Functions

| DDWidgetState (size_t _index)

## Data Fields

size_t | index
bool | update {true}
bool | accept {false}
bool | refuse {false}

## Detailed Description

Definition at line 99 of file MyGUI_DDItemInfo.h.

## Constructor & Destructor Documentation

## DDWidgetState()

MyGUI::DDWidgetState::DDWidgetState | ( | size_t | _index | ) |

inline

Definition at line 101 of file MyGUI_DDItemInfo.h.

## Field Documentation

## accept

bool MyGUI::DDWidgetState::accept {false}

Is widget accept drop

Definition at line 111 of file MyGUI_DDItemInfo.h.

## index

size_t MyGUI::DDWidgetState::index

Index of element

Definition at line 107 of file MyGUI_DDItemInfo.h.

## refuse

bool MyGUI::DDWidgetState::refuse {false}

Is widget refuse drop

Definition at line 113 of file MyGUI_DDItemInfo.h.

## update

bool MyGUI::DDWidgetState::update {true}

State and internal data changed

Definition at line 109 of file MyGUI_DDItemInfo.h.

The documentation for this struct was generated from the following file:

- MyGUI_DDItemInfo.h